#ifndef ONEWAYLIST_H
#define ONEWAYLIST_H
#ifdef UNIQUE
#include <memory>
#endif
class Node {
public:
    int data;
#ifdef UNIQUE
    std::unique_ptr<Node>
#else
    Node*
#endif
        next;
    Node();
    Node(int value);
};

class OnewayList {
#ifdef UNIQUE
    std::unique_ptr<Node>
#else
    Node*
#endif
        head;
public:
    OnewayList();
    OnewayList(int);
    void append(int);
    bool remove(int);
    int get(int)const;
    ;
#ifndef UNIQUE
    ~OnewayList();
#endif
    int find(int)const;
};

#endif // ONEWAYLIST_H
